<script lang="ts">
    /**
     * https://github.com/storybookjs/storybook/blob/main/examples/svelte-kitchen-sink/src/stories/views/ButtonView.svelte
     */
    import Button from './Button.svelte'
    
    let {...props} = $$props

    let count = 0

    function increaseCount() {
        count++
    }
</script>

<Button { ...props } on:click={increaseCount}>
    { count } - click me
</Button>